# Amounted - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.payments.abstracts / Amounted

# Amounted

(common) `interface Amounted` (source)

### Properties

(common)

#### adaptedMajorityTotalAmount

`open val adaptedMajorityTotalAmount: Double`

(common)

#### amount

`abstract val amount: Long`

### Inheritors

(common)

#### Invoice

`data class Invoice : Amounted, Currencied`

(common)

#### LabeledPrice

`data class LabeledPrice : Amounted`

(common)

#### PreCheckoutQuery

`data class PreCheckoutQuery : Currencied, Amounted`

(common)

#### SuccessfulPayment

`data class SuccessfulPayment : Amounted, Currencied`